Support » Plugin: XCloner - Backup and Restore » Dropbox Error

  • Resolved microbe

    (@microbe)


    Hi

    I am using Dropbox for remote storage. Since yesterday I have been receiving emails with the message:

    HTTP status 400
    {“error”: “v1_retired”}

    I checked at Dropbox, and their API v1 was retired on Thursday, September 28th, 2017. However, my apps were all recently created, so should all be on v2. To test, I removved an App and replaced it with a new one.

    On testing (XCloner – verify settings) I get:

    Dropbox connection error: HTTP status 400 {“error”: “v1_retired”}

    Does the plugin need updating to use Dropbox v2?

    Thanks for all your work on this great plugin.

    Tim

Viewing 15 replies - 1 through 15 (of 19 total)
  • First Thanks for all your work on this great plugin.

    Any chance to upgrade to dropbox api v2 ?

    Maybe donation encourage ?

    Thanks in advance

    TATASAM.PL

    Are you using this plugin to access the xcloner google drive option https://wordpress.org/plugins/xcloner-google-drive/ ? If not, you might need to upgrade XCloner or reinstall it with the latest version and install the dedicated google drive plugin. It is using actually version 3 of the google drive api so you should have no problems with it, but please let us know if you still have issues.

    @xcloner

    I’m a little bit confused, topic is regarding dropbox not google.

    https://blogs.dropbox.com/developers/2016/06/api-v1-deprecated/

    https://murze.be/2017/04/dropbox-will-turn-off-v1-of-their-api-soon-its-time-to-update-your-php-application/

    • This reply was modified 2 years, 6 months ago by TATASAM.PL.
    • This reply was modified 2 years, 6 months ago by TATASAM.PL.

    My bad, i was reading through the lines, I am looking into a possible upgrade soon.

    I have posted an updated package in the Development version https://downloads.wordpress.org/plugin/xcloner-backup-and-restore.zip which updates the Dropbox Api to use V2, from my tests it seems to run fine, so please test it and let me know if you have further issues

    Thanks Liuta.

    I will test now.

    Tim

    Hi

    That looks to be working. Settings passed verification and I managed to upload a backup to Dropbox.

    I will test on a few more sites.

    Hi

    Tested on 3 other sites. All good.

    Thank you, i will make a release out of it. Cheers, Ovidiu

    Many thanks for the fast resolution!

    Tim

    I found this tutorial how to solve this error. Maybe it helps.

    Hi Liuta

    I tested with samll backups, 100 – 250k, but I am hitting another problem. Running large backups is generating a different error:

    413 Request Entity Too Large

    I have tried running a manual upload of a 4GB backup to Dropbox, this returned:

    Uploading backup to the selected remote storage… Client error: POST https://content.dropboxapi.com/2/files/upload resulted in a 413 Request Entity Too Large response: <!DOCTYPE html> <html> <head><meta http-equiv=”Content-Type” content=”text/html; charset=utf-8″> <title>Dropbox – 4xx</t (truncated…)

    The csv file is uploaded, but the two tar files are not.

    Also, WordPress server information says: PHP Upload Max Filesize = 1536M. However, this limit was not stopping 2GB file uploads before the API change.

    Tim

    • This reply was modified 2 years, 6 months ago by microbe.
    • This reply was modified 2 years, 6 months ago by microbe.

    I have upgraded plugin to Version 4.0.5 and some of my sites work sending to dropbox again BUT one site with a slightly larger backup (384 MB) is getting the Error:

    Uploading backup to the selected remote storage… Client error: POST https://content.dropboxapi.com/2/files/upload resulted in a 413 Request Entity Too Large response: <!DOCTYPE html> <html> <head><meta http-equiv=”Content-Type” content=”text/html; charset=utf-8″> <title>Dropbox – 4xx</t (truncated…)

    any ideas as to what this is?

    Thanks,

    Dave

    I have posted a fix in the latest 4.0.5 package, so please try and reinstall that and let me know if you still have issues.

    Hi

    I deactivated and deleted the plugin then reinstalled from the repository and reactivated it.

    Now when I try to upload I get a server error:

    [04-Oct-2017 08:25:43 UTC] PHP Parse error: syntax error, unexpected ‘?’ in /****/****/public_html/wordpress/wp-content/plugins/xcloner-backup-and-restore/vendor/srmklive/flysystem-dropbox-v2/src/Client/DropboxClient.php on line 441

Viewing 15 replies - 1 through 15 (of 19 total)
  • The topic ‘Dropbox Error’ is closed to new replies.